Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# MediaScanningProgress Class Reference

This class is specific to the mediaplayer apps. More...

`#include <loadingwidget.h>`

List of all member functions.

## Public Members

- MediaScanningProgress ( QWidget * parent, const char * name = 0 )
- ~MediaScanningProgress ()
- void setProgressStyle ()
- void setMediaScanningProgressEnabled ( bool v )

## Public Slots

- void setProgress ( int percent )

## Detailed Description

This class is specific to the mediaplayer apps.

It is currently private to those apps, and its API, and therefore binary compatibilty may change in later versions.

This class is for displaying a progress bar when searching for documents.

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.